services:
    bitbag_sylius_cms_plugin.form.type.block:
        class: BitBag\SyliusCmsPlugin\Form\Type\BlockType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.block.class%"
            - "%bitbag_sylius_cms_plugin.form.type.block.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.translation.block:
        class: BitBag\SyliusCmsPlugin\Form\Type\Translation\BlockTranslationType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.block_translation.class%"
            - "%bitbag_sylius_cms_plugin.form.type.translation.block.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.block_image:
        class: BitBag\SyliusCmsPlugin\Form\Type\BlockImageType
        arguments:
            - BitBag\SyliusCmsPlugin\Entity\BlockImage
            - "%bitbag_sylius_cms_plugin.form.type.block_image.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.page:
        class: BitBag\SyliusCmsPlugin\Form\Type\PageType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.page.class%"
            - "%bitbag_sylius_cms_plugin.form.type.page.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.translation.page:
        class: BitBag\SyliusCmsPlugin\Form\Type\Translation\PageTranslationType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.page_translation.class%"
            - "%bitbag_sylius_cms_plugin.form.type.translation.page.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.frequently_asked_question:
        class: BitBag\SyliusCmsPlugin\Form\Type\FrequentlyAskedQuestionType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.frequently_asked_question.class%"
            - "%bitbag_sylius_cms_plugin.form.type.frequently_asked_question.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.translation.frequently_asked_question:
        class: BitBag\SyliusCmsPlugin\Form\Type\Translation\FrequentlyAskedQuestionTranslationType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.frequently_asked_question_translation.class%"
            - "%bitbag_sylius_cms_plugin.form.type.translation.frequently_asked_question.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.section:
        class: BitBag\SyliusCmsPlugin\Form\Type\SectionType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.section.class%"
            - "%bitbag_sylius_cms_plugin.form.type.section.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.translation.section:
        class: BitBag\SyliusCmsPlugin\Form\Type\Translation\SectionTranslationType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.section_translation.class%"
            - "%bitbag_sylius_cms_plugin.form.type.translation.section.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.import:
        class: BitBag\SyliusCmsPlugin\Form\Type\ImportType
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.translation.media:
        class: BitBag\SyliusCmsPlugin\Form\Type\Translation\MediaTranslationType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.media_translation.class%"
            - "%bitbag_sylius_cms_plugin.form.type.translation.media.validation_groups%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.media:
        class: BitBag\SyliusCmsPlugin\Form\Type\MediaType
        arguments:
            - "%bitbag_sylius_cms_plugin.model.media.class%"
            - "%bitbag_sylius_cms_plugin.form.type.media.validation_groups%"
            - "%bitbag_sylius_cms_plugin.media_providers%"
        tags:
            - { name: form.type }

    bitbag_sylius_cms_plugin.form.type.wysiwyg:
        class: BitBag\SyliusCmsPlugin\Form\Type\WysiwygType
        arguments:
            - "@router.default"
        tags:
            - { name: form.type }
